﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function AgeDepthFit( )
		SetDataFolder root:
			PauseUpdate
			String/G G_Folder, G_AgeWave, G_DepthWave, G_YorN, G_Site
			String Folder = G_Folder, AgeWave = G_AgeWave, DepthWave = G_DepthWave, YorN = G_YorN, Site = G_Site
			Variable/G G_PolyOrder
			Variable PolyOrder = G_PolyOrder			
			Prompt Site, "Site ( e.g. U1338 )"
			Prompt Folder, "Select the Data Folder with the Age-Depth Data", popup, "root:;" + FolderList( "*" )
			DoPrompt "AgeDepthFit", Site, Folder;
			G_Folder = Folder; G_Site = Site
			AbortOnValue V_Flag, 0
		SetDataFolder $Folder
			Prompt DepthWave, "DepthWave", popup, WaveList( "*", ";", "" )
			Prompt AgeWave, "AgeWave", popup, WaveList( "*", ";", "" )
			Prompt PolyOrder, "Order of Fit ( 2 or greater )"
			Prompt YorN, "Do You Want to Force the Fit Through Zero Age at Zero Depth?", popup, "Yes;No"
			DoPrompt "AgeDepthFit", DepthWave, AgeWave, PolyOrder, YorN;
			G_DepthWave = DepthWave; G_AgeWave = AgeWave; G_PolyOrder = PolyOrder; G_YorN = YorN			
			Wave DW = $DepthWave, AW = $AgeWave
			AbortOnValue V_Flag, 0
			AgeDepthFit_F( Site, Folder, DepthWave, AgeWave,   PolyOrder  , YorN )
			Print "AgeDepthFit_F( " + "\"" + Site + "\", \"" + Folder + "\", \"" + DepthWave + "\", \"" + AgeWave + "\", ", PolyOrder, ", \"" + YorN + "\" )"
	End

----------------------------------------------------------------------

	Function AgeDepthFit_F( Site, Folder, DepthWave, AgeWave, PolyOrder, YorN )
			String Site, Folder, AgeWave, DepthWave, YorN
			Variable PolyOrder	
		SetDataFolder root:
			PauseUpdate
		SetDataFolder $Folder
			Wave DW = $DepthWave, AW = $AgeWave
		NewDataFolder/O/S $"root:AgeDepthFit"
			Duplicate/O DW $Site + "DepthWv"
			Duplicate/O AW $Site + "AgeWv"
			WAVE DepthWv = $Site + "DepthWv", AgeWv = $Site + "AgeWv"
			If( StrSearch( WinList( "*", ";", "Visible:1" ), "Poly_Fit", 0 ) < 0 )
				Display DepthWv vs AgeWv	as "Poly Fit"
				EXECUTE "DoWindow/C/R Poly_Fit"		
			Else
				EXECUTE "DoWindow/F Poly_Fit"
			EndIf
			If( StringMatch( YorN, "Yes" ) )
				InsertPoints 0, 1, DepthWv, AgeWv
				K0 = 0
				If( PolyOrder == 2 )
					CurveFit/Q/L=500/H="10" line, DepthWv /X=AgeWv /D 
				Else
					CurveFit/Q/L=500/H="1000000000000" poly PolyOrder, DepthWv /X=AgeWv /D 
				Endif
			Else
				If( PolyOrder == 2 )
					CurveFit/Q/L=500 line, DepthWv /X=AgeWv /D		
				Else
					CurveFit/Q/L=500 poly PolyOrder, DepthWv /X=AgeWv /D
				EndIf
			EndIf
			WAVE W_coef
			Duplicate/O $"fit_" + Site + "DepthWv" $"fit_" + Site + "AgeWv", SedRateDepth
			Duplicate/O W_coef $Site + "_Coefs"
			Differentiate $"fit_" + Site + "DepthWv"/D=SedRate;DelayUpdate
			If( PolyOrder == 2 )
				SedRate = Round( SedRate ) 
			EndIf
			If( StrSearch( TraceNameList( "", ";", 1 ), "SedRateDepth", 0 ) < 0 )
				AppendToGraph/T SedRateDepth vs SedRate
				Label top "SedRate m/Myr";DelayUpdate
				ModifyGraph axisEnab(top)={0.5,1}
				ModifyGraph rgb(SedRateDepth)=(65535,43690,0)
			EndIf
			WAVE AgeFit = $"fit_" + Site + "AgeWv"
			AgeFit = x
			SetAxis bottom 0,*
			SetAxis/R left *,0
			ModifyGraph mode($Site + "DepthWv")=3,marker($Site + "DepthWv")=19,msize($Site + "DepthWv")=5;DelayUpdate
			ModifyGraph mrkThick($Site + "DepthWv")=2,rgb($Site + "DepthWv")=(0,0,0)
			Label left "Depth";DelayUpdate
			Label bottom "Age"
			KillWaves/Z W_ParamConfidenceInterval, W_sigma, W_coef
		SetDataFolder root:
	End

