#pragma rtGlobals=3		// Use modern global access method and strict wave access.

	Function AppendSpliceLines4Stretching( )
		SetDataFolder root:
			String/G G_Hole
			String Hole = G_Hole
			Prompt Hole, "Hole ( e.g. U927A )"
			DoPrompt "AppendSpliceLines4Stretching", Hole; AbortOnValue V_Flag, 0
			G_Hole = Hole
			String Site = RemoveEnding( Hole )
			String HoleLetter = Hole[ StrLen( Hole ) - 1 ]
			If( !DataFolderExists( Site + "_Splice_Intervals" ) )
				ABORT "This function requires the Splice_Intervals folder for " + Site
			EndIf
		SetDataFolder $Site + "_Splice_Intervals"
			WAVE CCSF_Top, CCSF_Bottom
			WAVE/T  Hole_Top
		NewDataFolder/O/S root:Xtras
			Duplicate/O CCSF_Top HoleSplTop, HoleSplBottom, HoleFilter
		SetDataFolder root:
			HoleFilter = StringMatch( HoleLetter, Hole_Top )
			HoleFilter = HoleFilter == 0 ? NaN : HoleFilter
			HoleSplTop = HoleFilter * CCSF_Top
			HoleSplBottom = HoleFilter * CCSF_Bottom
			RemoveFromGraph/Z HoleFilter, HoleFilter#1, HoleFilter#2, HoleFilter#3
			AppendToGraph/R = Core_Data_Axis HoleFilter vs HoleSplTop
			AppendToGraph/R = Core_Data_Axis HoleFilter vs HoleSplBottom
			AppendToGraph/R = Spliced_Data_Axis HoleFilter vs HoleSplTop
			AppendToGraph/R = Spliced_Data_Axis HoleFilter vs HoleSplBottom
			ModifyGraph mode( HoleFilter ) = 1, mode( HoleFilter#1 ) = 1
			ModifyGraph lsize( HoleFilter ) = 2, lsize( HoleFilter#1 ) = 2
			ModifyGraph mode( HoleFilter#2 ) = 1, mode( HoleFilter#3 ) = 1
			ModifyGraph lsize( HoleFilter#2 ) = 2, lsize( HoleFilter#3 ) = 2
			ModifyGraph tick(Core_Data_Axis)=3,tick(Spliced_Data_Axis)=3
			ModifyGraph noLabel(Core_Data_Axis)=2,noLabel(Spliced_Data_Axis)=2
			ModifyGraph freePos(Core_Data_Axis)=0,freePos(Spliced_Data_Axis)=0
			ModifyGraph axisEnab(Core_Data_Axis)={0,0.32}
			ModifyGraph axisEnab(Spliced_Data_Axis)={0.33,0.66}
			SetAxis Core_Data_Axis 0,*
			SetAxis Spliced_Data_Axis 0,*
			ModifyGraph rgb(HoleFilter#2)=(1,65535,33232)
			ModifyGraph rgb(HoleFilter)=(1,65535,33232)
	End

--------------------------------------------------------


//	Function AppendSpliceLines2Images( )
		SetDataFolder root:
			String/G G_Hole
			String Hole = G_Hole
			Prompt Hole, "Hole ( e.g. U927A )"
			DoPrompt "AppendSpliceLines", Hole; AbortOnValue V_Flag, 0
			G_Hole = Hole
			String Site = RemoveEnding( Hole )
			String HoleLetter = Hole[ StrLen( Hole ) - 1 ]
			If( !DataFolderExists( Site + "_Splice_Intervals" ) )
				ABORT "This function requires the Splice_Intervals folder for " + Site
			EndIf
		SetDataFolder $Site + "_Splice_Intervals"
			WAVE CCSF_Top, CCSF_Bottom
			WAVE/T  Hole_Top
		NewDataFolder/O/S root:Xtras
			Duplicate/O CCSF_Top HoleSplTop, HoleSplBottom, HoleFilter
		SetDataFolder root:
			HoleFilter = StringMatch( HoleLetter, Hole_Top )
			HoleFilter = HoleFilter == 0 ? NaN : HoleFilter
			HoleSplTop = HoleFilter * CCSF_Top
			HoleSplBottom = HoleFilter * CCSF_Bottom
			RemoveFromGraph/Z HoleFilter, HoleFilter#1, HoleFilter#2, HoleFilter#3
			AppendToGraph/R = Core_Image_Axis HoleFilter vs HoleSplTop
			AppendToGraph/R = Core_Image_Axis HoleFilter vs HoleSplBottom
			AppendToGraph/R = Spliced_Image_Axis HoleFilter vs HoleSplTop
			AppendToGraph/R = Spliced_Image_Axis HoleFilter vs HoleSplBottom
			ModifyGraph mode( HoleFilter ) = 1, mode( HoleFilter#1 ) = 1
			ModifyGraph lsize( HoleFilter ) = 2, lsize( HoleFilter#1 ) = 2
			ModifyGraph mode( HoleFilter#2 ) = 1, mode( HoleFilter#3 ) = 1
			ModifyGraph lsize( HoleFilter#2 ) = 2, lsize( HoleFilter#3 ) = 2
			ModifyGraph rgb(HoleFilter#2)=(1,65535,33232)
			ModifyGraph rgb(HoleFilter)=(1,65535,33232)

	End

------------------------------------------------------------------
