#pragma rtGlobals=3		// Use modern global access method.

// last modified 23JUN2017. Removed Technique from axis labels on automatic plotting.

------------------------------------------------------------------------------

	Function Append_Selected_Data( )
		SetDataFolder root:
			String/G G_Scale, G_Axis_Portion, G_New_or_App
			Variable/G G_AxisTop, G_AxisBottom
			Variable AxisTop = G_AxisTop, AxisBottom = G_AxisBottom, Colon, i=0
			String Data, Hole, Technique, Axis_Portion = G_Axis_Portion
			String FullWavePath, WName, DepthWave, Scale = G_Scale, New_or_App
			Prompt 	New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt Scale, "CSF, CCSF, or Age"
			DoPrompt "Append_Selected_Data", Scale, New_or_App; AbortOnValue V_Flag, 0
			G_Scale = Scale; G_New_or_App = New_or_App
			Preferences 1;
			If( Stringmatch( "New", New_or_App ) )
				Preferences 1;
				Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
			Do
				FullWavePath = GetBrowserSelection( i )
				If( StrLen( FullWavePath ) < 2 )
					Break
				EndIf
				Colon = StrSearch( FullwavePath, ":", inf, 1 )
				WName = FullWavePath[ Colon + 1, inf ]
				Hole = DataWaveHole( WName )
				Technique = DataWaveTechnique( WName );
				Data = DataWaveData( WName )
				Prompt AxisTop, "Axis Portion Top (%) for " + WName
				Prompt AxisBottom, "Axis Portion Bottom (%) for " + WName
				DoPrompt "Append_Selected_Data",  AxisBottom, AxisTop; AbortOnValue V_Flag, 0
				DepthWave = FullWavePath[ 0, Colon ] + Hole + "_" + Technique + "_" + Scale
				String Site, Folder
				PauseUpdate;
				G_AxisTop = AxisTop; G_AxisBottom = AxisBottom
				Site = RemoveEnding( Hole )
				Folder = Site + "_" + Technique
				AppendToGraph/R = $Hole + "_" + Data $FullWavePath vs $DepthWave
				Label $Hole + "_" + Data  "\\Z12\\u#2\\f01" + Hole + " " + Data
				ModifyGraph lblPos( $Hole + "_" + Data ) = 70, freePos( $Hole + "_" + Data ) = 0
				ModifyGraph axisEnab( $Hole + "_" + Data ) = { AxisBottom/100, AxisTop/100 }
				ModifyGraph fSize = 12
				DoUpdate;
				i += 1;
			While( 1 )
			ModifyGraph mirror = 2
	End
	
	------------------------------------------------------------------------------
	
	Function Append_Data( ) 
		SetDataFolder root:
			String/G G_Technique, G_Data, G_Hole, G_Scale, G_New_or_App, G_TorB
			Variable/G G_AxisTop, G_AxisBottom
			String Technique = G_Technique, LorR, TorB = G_TorB
			String Data = G_Data, Hole = G_Hole, Scale = G_Scale, New_or_App = G_New_or_App
			String Axes = ""
			Variable AxisTop = G_AxisTop, AxisBottom = G_AxisBottom
			If( ItemsInList( WinList( "*", ";", "WIN:1" ) ) )
				Axes = AxisList( "" )
			EndIf			
			Prompt Hole, "Hole (e.g. U1337B):"
			Prompt Technique, "Technique (e.g. GRA, RSC, MS, etc):"
			Prompt Data, "Data (e.g. GRA, AStar, FE_Area, etc):"
			Prompt Scale, "CSF or CCSF?"
			Prompt TorB, "X Axis Top or Bottom", popup, "B;T"
			Prompt 	New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt AxisTop, "Y Axis Portion Top (%):"
			Prompt AxisBottom, "Y Axis Portion Bottom (%):"
			Prompt LorR, " Y Axis Position?", popup, "R;L;" + Axes
			String Site, Folder = RemoveEnding( Hole ) + "_" + Technique
			DoPrompt "Append_Data", Hole, New_or_App, Technique, Data, AxisBottom, AxisTop, LorR, TorB, Scale; AbortOnValue V_Flag, 0
			Append_Data_F( Hole, Technique, Data, Scale, TorB, New_or_App, AxisBottom, AxisTop, LorR ) 
			Print "\rAppend_Data_F( \"" + Hole + "\", \"" + Technique + "\", \"" + Data + "\", \"" + Scale + "\", \"" + TorB + "\", \"" + New_or_App + "\",", AxisBottom,",", AxisTop, ", \"" + LorR + "\" )" 
	End
		
	------------------------------------------------------------------------------
	
	Function Append_Data_F( Hole, Technique, Data, Scale, TorB, New_or_App, AxisBottom, AxisTop, LorR ) 
		String Hole, Technique, Data, TorB, Scale, New_or_App, LorR
		Variable AxisTop, AxisBottom
		SetDataFolder root:
			String/G G_Technique, G_Data, G_Hole, G_Scale, G_New_or_App, G_TorB
			Variable/G G_AxisTop, G_AxisBottom
			String Axes = ""
			If( ItemsInList( WinList( "*", ";", "WIN:1" ) ) )
				Axes = AxisList( "" )
			EndIf			
			String Site, Folder = RemoveEnding( Hole ) + "_" + Technique
			G_Data = Data; G_Hole= Hole; G_Scale = Scale; G_Technique = Technique; G_New_or_App = New_or_App
			G_AxisTop = AxisTop; G_AxisBottom = AxisBottom; G_TorB = TorB
			If( !( StringMatch( "L", LorR ) || StringMatch( "R", LorR ) ) && StringMatch( "New", New_or_App ) )
				ABORT "You selected an axis from the top graph for a New graph.\r  New graphs may only use L or R as axis selections."
			EndIf
			PauseUpdate
			If( Stringmatch( "New", New_or_App ) )
				Preferences 1;
				Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs."
			EndIf
		SetDataFolder $Folder
			If( !Exists( Hole+"_"+Technique+"_"+Data ) )
				Abort "Data Wave " + Hole + "_" + Technique + "_" + Data + " Is Not In The " + Technique + " Data Folder"
			EndIf
			String Axis = StringByKey( "AXType", AxisInfo( "", LorR ))	
			If( Stringmatch( TorB, "T" ) )
				If( Stringmatch( Axis, "Right" ) )
					AppendToGraph/T/R = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( Stringmatch( Axis, "Left" ) )
					AppendToGraph/T/L = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( StringMatch( LorR, "R" ) )
					AppendToGraph/T/R = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole+"_"+Technique+"_"+Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 70, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
				ElseIf( StringMatch( LorR, "L" ) )
					AppendToGraph/T/L = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale			
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole+"_"+Technique+"_"+Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 60, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
				EndIf
			Else
				If( Stringmatch( Axis, "Right" ) )
					AppendToGraph/R = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( Stringmatch( Axis, "Left" ) )
					AppendToGraph/L = $LorR $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
				ElseIf( StringMatch( LorR, "R" ) )
					AppendToGraph/R = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole+"_"+"_"+Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 70, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
				ElseIf( StringMatch( LorR, "L" ) )
					AppendToGraph/L = $Hole+"_"+Technique+"_"+Data $Hole+"_"+Technique+"_"+Data vs $Hole+"_"+Technique+"_"+Scale			
					Label $Hole+"_"+Technique+"_"+Data "\\Z12\\f01" + Hole+"_"+"_"+Data
					ModifyGraph axisEnab( $Hole+"_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }
					ModifyGraph lblPos( $Hole+"_"+Technique+"_"+Data ) = 60, freePos( $Hole+"_"+Technique+"_"+Data ) = 0
				EndIf
			Endif
			ModifyGraph fSize=12
		SetDataFolder root:
	End
		
	------------------------------------------------------------------------------
	
	Function Append_Splice_Data( )	
		SetDataFolder root:
			String/G G_Data, G_Site, G_Technique, G_X_Scale, G_LorR
			Variable/G G_AxisTop, G_AxisBottom
			String Data = G_Data, Site = G_Site, Technique = G_Technique, Folder, X_Scale = G_X_Scale, X_Axis_Pos = "B"   
			String New_Or_App, LorR = G_LorR
			Variable AxisTop = G_AxisTop, AxisBottom = G_AxisBottom
			Prompt Site, "Site:"
			Prompt Technique, "Technique (e.g. GRA, RSC, MS, etc):" 
			Prompt Data, "Data (e.g. GRA, AStar, FE_Area, etc):"
			Prompt X_Scale, "X Scale eg. CCSF, CCSFs, Age"
			Prompt AxisTop, "Y Axis Portion Top (%):"
			Prompt AxisBottom, "Y Axis Portion Bottom (%):"
			Prompt X_Axis_Pos, "X-Axis Position:", popup, "B;T"		
			Prompt 	New_or_App, "New Plot or Append?", popup, "New;Append"	
			Prompt LorR, "Y-Axis Position", popup, "L;R"
			DoPrompt "Append_Splice_Data", Site, New_or_App, Technique, Data, AxisBottom, AxisTop, X_Axis_Pos, LorR, X_Scale; AbortOnValue V_Flag, 0
			Append_Splice_Data_F( Site, Technique, Data, X_Scale, AxisTop, AxisBottom, X_Axis_Pos, New_or_App, LorR )	
			Print "\rAppend_Splice_Data_F( \"" + Site + "\", \"" + Technique + "\", \"" + Data + "\", \"" + X_Scale + "\",", AxisTop,",", AxisBottom, ", \"" + X_Axis_Pos + "\", \"" + New_or_App + "\", \"" + LorR + "\" )"	
	End

		------------------------------------------------------------------------------
	
	Function Append_Splice_Data_F( Site, Technique, Data, X_Scale, AxisTop, AxisBottom, X_Axis_Pos, New_or_App, LorR )	
		String Site, Technique, Data, X_Scale, X_Axis_Pos, New_or_App, LorR
		Variable AxisTop, AxisBottom
		SetDataFolder root:
			String/G G_Data, G_Site, G_Technique, G_X_Scale, G_LorR
			Variable/G G_AxisTop, G_AxisBottom
			G_Data = Data; G_Site = Site; G_Technique = Technique; G_X_Scale = X_Scale; G_LorR = LorR; G_AxisTop = AxisTop; G_AxisBottom = AxisBottom
			PauseUpdate;
		SetDataFolder $"root:"+Site+"_"+Technique
			If( !Strlen( WaveList( "*_Splice*", ";", "" ) ) ) // Check to see if new "S" designation is being used for spliced data
				ABORT "There are no waves using \"_Splice_\" in the Technique folder. If you are using \"S\" to designate spliced data use Append_Data for potting."
			EndIf
			If( Stringmatch( "New", New_or_App ) )
				Preferences 1;
				Display
			ElseIf( StrLen( WinList( "*", ";", "WIN:1" ) ) == 0 )
				ABORT "You chose APPEND, but there are no open graphs. "
			EndIf
			If( StringMatch( "T", X_Axis_Pos ) )
				If( StringMatch( "R", LorR ) )
					AppendToGraph/T/R = $Site + "_Splice_" + Technique + "_" + Data $Site + "_Splice_" + Technique + "_" + Data vs $Site + "_" + "Splice_" + Technique + "_" + X_Scale  //including X_Axis_Position in string
				Else
					AppendToGraph/T/L = $Site + "_Splice_" + Technique + "_" + Data $Site + "_Splice_" + Technique + "_" + Data vs $Site + "_" + "Splice_" + Technique + "_" + X_Scale  //including X_Axis_Position in string
				Endif
			Else
				If( StringMatch( "R", LorR ) )
					AppendToGraph/R = $Site + "_Splice_" + Technique + "_" + Data $Site + "_Splice_" + Technique + "_" + Data vs $Site + "_" + "Splice_" + Technique + "_" + X_Scale  //including X_Axis_Position in string
				Else
					AppendToGraph/L = $Site + "_Splice_" + Technique + "_" + Data $Site + "_Splice_" + Technique + "_" + Data vs $Site + "_" + "Splice_" + Technique + "_" + X_Scale  //including X_Axis_Position in string
				Endif
			EndIf
			Label $Site+"_Splice_"+Technique+"_"+Data "\\Z12\\f01"+ Site+" "+Data+" Splice"
			ModifyGraph lblPos( $Site + "_Splice_" + Technique + "_" + Data ) = 70,freePos( $Site+"_Splice_"+Technique+"_"+Data ) = 0
			ModifyGraph axisEnab( $Site+"_Splice_"+Technique+"_"+Data ) = { AxisBottom/100, AxisTop/100 }	
			ModifyGraph fSize=12
		SetDataFolder root:
	End
	
