#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// This function will put CSF and CCSF waves in a folder named Depth_Output. It can be used to recalculate depths from 
//   splice tables because it can handle different holes and different sites all at once

	Function CSF_CCSF_from_List( )
		SetDataFolder root:
			String/G G_SiteW, G_HoleW, G_CoreW, G_SectionW, G_IntervalW, G_Folder
			String SiteW = G_SiteW, HoleW = G_HoleW, CoreW = G_CoreW, SectionW = G_SectionW, IntervalW = G_IntervalW, Folder = G_Folder
			Variable i
			Prompt Folder, "Data Folder:", popup, "root:;" + FolderList( "*" )
			DoPrompt "CSF_CCSF_from_List", Folder; AbortOnValue V_Flag, 0
		SetDataFolder $Folder
			Prompt SiteW, "Site Wave:", popup, WaveList( "*Site*", ";", "" )
			Prompt HoleW, "Hole Wave:", popup, WaveList( "*Hole*", ";", "" )
			Prompt CoreW, "Core Wave:", popup, WaveList( "*Core*", ";", "" )
			Prompt SectionW, "Section Wave:", popup, WaveList( "*Section*", ";", "" )
			Prompt IntervalW, "Interval Wave:", popup, WaveList( "*Interval*", ";", "" )
			DoPrompt "CSF_CCSF_from_List", SiteW, HoleW, CoreW, SectionW, IntervalW;
			If( V_Flag == 1 )
				SetDataFolder root:
				Abort
			EndIf
			CSF_CCSF_from_List_F( Folder, SiteW, HoleW, CoreW, SectionW, IntervalW )
			Print "CSF_CCSF_from_List_F( \"" + Folder + "\"," + " \"" + SiteW + "\", \"" + HoleW + "\", \"" + CoreW + "\", \"" + SectionW + "\", \"" + IntervalW + "\" )"
	End

	Function CSF_CCSF_from_List_F( Folder, SiteW, HoleW, CoreW, SectionW, IntervalW )	
		String Folder, SiteW, HoleW, CoreW, SectionW, IntervalW
		String/G G_SiteW, G_HoleW, G_CoreW, G_SectionW, G_IntervalW, G_Folder
		Variable i
		Preferences 1
		SetDataFolder root:
		SetDataFolder $"root:" + Folder
		print wavetype($sitew)
			If( WaveType( $SiteW ) != 0 )
				ABORT SiteW + " is not a text wave. Did you remember to use \"U\" before the Site number?\r You will need to Kill the existing Site wave and make a new one."
			EndIf
			WAVE Core = $CoreW, Section = $SectionW, Interval = $IntervalW
			WAVE/T Site = $SiteW, Hole = $HoleW
		NewDataFolder/O/S $"root:Depth_Output"
			Duplicate/O Core CSF, CCSF
		SetDataFolder $"root:" + Folder	
			For( i = 0; i < NumPnts( Site ); i += 1 )
				WAVE Matrix = $"root:" + Site[ i ] + Hole[ i ] + "_Coring_Matrix"
				CSF[ i ] = Matrix[ Core[ i ] ] [ Section[ i ] ] [ 0 ] + Interval[ i ] / 100
				CCSF[ i ] = Matrix[ Core[ i ] ] [ Section[ i ] ] [ 2 ] + Interval[ i ] / 100
			EndFor
		SetDataFolder root:
			If( StrSearch( WinList("*",";","WIN:2"), "CSICalculations", 0, 2 ) )
				Edit/N = CSICalculations CSF, CCSF as "CSI Calculations"
				ModifyTable format( CSF ) = 3, digits( CSF ) = 2,  format( CCSF ) = 3, digits( CCSF ) = 2
			EndIf
			G_SiteW = SiteW, G_HoleW = HoleW, G_CoreW = CoreW, G_SectionW = SectionW, G_IntervalW = IntervalW, G_Folder = Folder
	End