﻿#pragma TextEncoding = "UTF-8"		// For details execute DisplayHelpTopic "The TextEncoding Pragma"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

// Last changed 17/6/2017 to add splice_format to the SpliceDataCheck routine
	
	Function Calculate_Splice_Lines( ) 
		SetDataFolder root:
			String/G G_Site, G_Splice_Format
			String Site = G_Site, Splice_Format = G_Splice_Format, Image_Folders, Folder, S_Hole, HoleLetter
			Variable i = 0, FirstU;
			Prompt Site, "Site"
			Prompt Splice_Format,  "Use Splice Ties or Splice Intervals Format?",  popup,  "Splice_Intervals;Splice_Ties"
			DoPrompt "Calculate_Splice_Lines", Site, Splice_Format; AbortOnValue V_Flag, 0
			G_Site = Site; G_Splice_Format = Splice_Format
			If( SpliceDataCheck( Site, Splice_Format ) ) // This is a separate function to check the splice tables, both intervals and ties.
				Abort
			Endif
			PauseUpdate;
			Image_Folders = FolderList( "S2" )
		SetDataFolder $"root:" + Site + "_" + Splice_Format
			WAVE/T Hole_Top, Hole_Bottom
			WAVE CCSF_Top, CCSF_Bottom
		NewDataFolder/O/S $"root:" + Site + "_Splice_Lines"
			Duplicate/O CCSF_Bottom Bottom_CCSF
			Duplicate/O CCSF_Top Top_CCSF
			Duplicate/O Bottom_CCSF Splice_Point_Value
			If( StringMatch( "Splice_Intervals", Splice_Format ) )
				Duplicate/O/T Hole_Top Bottom_Holes, Top_Holes
			Else
				Duplicate/O/T Hole_Bottom Bottom_Holes, Top_Holes
				InsertPoints 0, 1, Top_CCSF
			EndIf
			Splice_Point_Value = 1		
			For( i = 0; i < ItemsInList( Image_Folders ); i += 1 )
				Folder = StringFromList( i, Image_Folders )
				S_Hole = DataWaveHole( Folder )
				HoleLetter = S_Hole[ StrLen( S_Hole ) - 1 ]
				Duplicate/O Bottom_CCSF Mask
				Mask = StringMatch( Top_Holes, HoleLetter ); Mask -= 1; Mask = Sqrt( Mask ); Mask += 1
				Mask *= Bottom_CCSF
				Duplicate/O Mask $S_Hole + "_Bottom"
				Duplicate/O Top_CCSF Mask
				Mask = ( StringMatch( Top_Holes, HoleLetter ) ); Mask -= 1; Mask = Sqrt(Mask); Mask += 1
				Mask *= Top_CCSF
				Duplicate/O Mask $S_Hole+ "_Top"
			EndFor
			KillWaves/Z Mask, Bottom_Holes, Bottom_CCSF, Top_Holes, Top_CCSF;
		SetDataFolder root:	
	End
	
