#pragma rtGlobals=1		// Use modern global access method.


Macro Core_Stretch()
	Variable i=0;
	Silent 1;
	PauseUpdate;
	WaveStats/Q Spliced_Image_Ties;
	Interp_Image( root:G_V1, root:G_V2 )[][]=nan;
	Duplicate/O Core_Ties  $root:G_Core_Image+"_Core_Ties"
	Duplicate/O Spliced_Image_Ties  $root:G_Core_Image+"_Spliced_Image_Ties"
	Sort Core_Ties Core_Ties, Spliced_Image_Ties,$root:G_Core_Image+"_Spliced_Image_Ties",$root:G_Core_Image+"_Core_Ties"
	Do
		Duplicate/O/R=(Core_Ties[i],Core_Ties[i+1])Working_Core_Image  temp
		SetScale/I x Spliced_Image_Ties[i],Spliced_Image_Ties[i+1],"", temp
		Interp_Image(Spliced_Image_Ties[i],Spliced_Image_Ties[i+1])[][]=temp(x)[q][r]
		i+=1;
	While(i<(V_Npnts-1))
	Duplicate/O/R=(V_Min,V_Max)Interp_Image  $root:G_Core_Image+"_Str"
	Killwaves temp
Endmacro

// This macro adjusts both data and images to the tie points

Macro Stretch_All()
String Site, Hole=root:G_Hole
	Core_Match()
	Concatenate_Ties()
	Site=RemoveEnding(Hole)
	If(DataFolderExists("root:"+Site+"_GRA"))
		Adjust_Data_2_Ties(root:G_Hole,"GRA")
	EndIf
	If(DataFolderExists("root:"+Site+"_MS"))
		Adjust_Data_2_Ties(root:G_Hole,"MS")
	EndIf
	If(DataFolderExists("root:"+Site+"_NGR"))
		Adjust_Data_2_Ties(root:G_Hole,"NGR")
	EndIf
	If(DataFolderExists("root:"+Site+"_RSC"))
		Adjust_Data_2_Ties(root:G_Hole,"RSC")
	EndIf
EndMacro


// This macro generates stretched core images when stretching has already been done but the stretched core images were not saved.

Macro Make_Str_Image(Image)
	String Image
	Prompt Image, "Image", popup, WaveList("S2_*",";","DIMS:3")
	Variable i=0;
	Silent 1;
	PauseUpdate;
	Duplicate/O $Image+"_Core_Ties" Core_ties
	Duplicate/O $Image+"_Spliced_Image_Ties" Spliced_Image_ties
	WaveStats/Q Spliced_Image_Ties;

	Duplicate/O $Image $Image+"_Str"
	Redimension/N=( ((V_Max-V_Min)*1000+1),-1,-1) $Image+"_Str"
	SetScale/P x V_Min,0.001,"", $Image+"_Str" ;DelayUpdate
	$Image+"_Str"=nan;
	Sort Core_Ties Core_Ties, Spliced_Image_Ties
	Do
		Duplicate/O/R=(Core_Ties[i],Core_Ties[i+1])$Image  temp
		SetScale/I x Spliced_Image_Ties[i],Spliced_Image_Ties[i+1],"", temp
		$Image+"_Str"(Spliced_Image_Ties[i],Spliced_Image_Ties[i+1])[][]=temp(x)[q][r]
		i+=1;
	While(i<(V_Npnts-1))
	Killwaves temp
	AppendImage $Image+"_Str"
	AppendImage/R=U1337D $Image
Endmacro
