#pragma rtGlobals=1		// Use modern global access method.

// Modified by AD to include hiatuses on 5/31/16	

	Function Core_Stretch()
		SetDataFolder root:
			Variable i = 0, TieMax, TieMin;
			WAVE Splice_Ties, Core_Ties, Interp_Image
			If( Numpnts( Splice_Ties ) < 2 )
				ABORT "You need to have picked at least 2 ties before an image can be stretched."
			EndIf
			PauseUpdate;
			If( StrLen( CsrWave( B ) ) == 0 )
				ABORT "You need to put the cursors on the images before stretching\rso the function knows which core to stretch."
			Endif
			If( WaveDims( CsrWaveRef( B )  ) < 2 ) 
				ABORT "Cursors are on a Data Wave, not an Image"
			EndIf		
			CheckTiesForDupes( Splice_Ties, Core_Ties )
			WAVE CoreImg = CsrWaveRef( B )
			Redimension/N=( 0, 101, 3 ) Interp_Image
			SetScale/I y 0, 1, "", Interp_Image
			SetScale/P x 0, .002, "", Interp_Image
			String Hole = DataWaveTechnique( CsrWave( B ) )
		SetDataFolder	$Hole + "_Tie_Points"
			WAVE CTies = $Hole + "_" + DataWaveData( CsrWave( B ) ) + "_Core_Ties"
			WAVE STies = $Hole + "_" + DataWaveData( CsrWave( B ) ) + "_Splice_Ties"
		SetDataFolder root:
			Duplicate/O Core_Ties  CTies
			Duplicate/O Splice_Ties STies
			TieMin = STies[ 0 ]
			TieMax = STies[ NumPnts( CTies ) - 1 ]
			Make/O/N = ( ( TieMax - TieMin ) / .002, 101, 3 ) Interp_Image
			Interp_Image = NaN
			SetScale/P x TieMin,0.002,"", Interp_Image
			SetScale/P y 0,0.01,"", Interp_Image
			Variable CrTop, CrBottom, SplTop, SplBottom, X1, X2
			For( i = 0; i < NumPnts( CTies ) - 1; i += 1 ) 
				CrTop = Core_Ties[ i ]; CrBottom = Core_Ties[ i + 1 ]
				SplTop = Splice_Ties[ i ]; SplBottom = Splice_Ties[ i + 1 ] - .002			
				If(Round(CrTop*100) == Round(CrBottom *100))		 // This bit places NaN gaps in the stretched image whan hiatuses are present in the stretch site. It checks tie points to the nearest .01 for equality 
					Make/O/N = ( 2, 101, 3) Temp
					Temp = NaN		
				Else
					Duplicate/O/R=( CrTop, CrBottom) CoreImg  Temp 
				EndIf			
				SetScale/I x SplTop, SplBottom, "", Temp 
				SetScale/I y 0, 1, "", Temp 
				ImageInterpolate/S = { SplTop, .002, SplBottom, 0, .01, 1 }/DEST = Temp2 Bilinear Temp
				ReDimension/B/U Temp2, Interp_Image
				X1 = X2Pnt( Interp_Image, SplTop )
				X2 = X2Pnt( Interp_Image, SplBottom )
				Interp_Image[ X1, X2 ][  ][ ] = Temp2( x )( y )( z )
			EndFor
			WaveStats/Q Splice_Ties			
			SetScale/I x V_Min, V_Max, "m", Interp_Image
		SetDataFolder $Hole + "_Tie_Points"
			Duplicate/O Interp_Image  $CsrWave( B ) + "_Str"
		SetDataFolder root:
			KillWaves Temp, Temp2
	End
	
