#pragma rtGlobals=1		// Use modern global access method.

	Function DataDepth2Age( )
		SetDataFolder root:
			String/G G_AgeModelFldr, G_ModelAgeData, G_ModelDepthData, G_DepthData, G_AgeCalculation, G_DepthWaveFldr
			String AgeModelFldr = G_AgeModelFldr, ModelAgeData = G_ModelAgeData, ModelDepthData = G_ModelDepthData
			String DepthData = G_DepthData, AgeCalculation = G_AgeCalculation, DepthWaveFldr = G_DepthWaveFldr
			Prompt AgeModelFldr, "Select Folder Containing Age Model", popup, "root:;" + SortList( FolderList( "*" ) )
			DoPrompt "DataDepth2Age", AgeModelFldr; AbortOnValue V_Flag, 0
			G_AgeModelFldr = AgeModelFldr;
		SetDataFolder $AgeModelFldr
			Prompt ModelAgeData, "Select Age Profile", popup, WaveList( "*", ";", "" )
			Prompt ModelDepthData, "Select Depth Profile", popup, WaveList( "*", ";", "" )
			DoPrompt "DataDepth2Age", ModelAgeData, ModelDepthData; AbortOnValue V_Flag, 0
			G_ModelAgeData = ModelAgeData, G_ModelDepthData = ModelDepthData
			AgeModelCheck( ModelAgeData, ModelDepthData )
			WAVE AgeM = $ModelAgeData, DepthM = $ModelDepthData
		SetDataFolder root:
			Prompt DepthWaveFldr, "Select the folder with the depth data", popup, "root:;" + FolderList( "*" )
			DoPrompt "DataDepth2Age", DepthWaveFldr; AbortOnValue V_Flag, 0
			G_DepthWaveFldr = DepthWaveFldr
		SetDataFolder $DepthWaveFldr
			Prompt DepthData, "Depth Wave to Convert", popup, SortList( WaveList( "*", ";", "" ) )
			Prompt AgeCalculation, "Enter a name for the new Age wave"
			DoPrompt "DataDepth2Age", DepthData, AgeCalculation; AbortOnValue V_Flag, 0
			G_DepthData = DepthData; G_AgeCalculation = AgeCalculation
			Wave DWv = $DepthData
			Duplicate/O DWv $AgeCalculation
			Wave AgeCalc = $AgeCalculation
			AgeCalc = interp( DWv, DepthM, AgeM )	
		SetDataFolder root:		
	End

-----------------------------------------------------------------------------

	Function ImageDepth2Age( )
		PauseUpdate;
		SetDataFolder root:
			Variable/G G_AgeResolution
			Variable AgeResolution = G_AgeResolution
			String/G G_AgeModelFldr, G_ModelAgeData, G_ModelDepthData, G_DepthImage, G_ImageWaveFldr
			String AgeModelFldr = G_AgeModelFldr, ModelAgeData = G_ModelAgeData, ModelDepthData = G_ModelDepthData
			String DepthImage = G_DepthImage, AgeImage, ImageWaveFldr = G_ImageWaveFldr
			Prompt AgeModelFldr, "Select Folder Containing Age Model", popup, "root:;" + FolderList( "*" )
			DoPrompt "ImageDepth2Age", AgeModelFldr; AbortOnValue V_Flag, 0
			G_AgeModelFldr = AgeModelFldr;
		SetDataFolder $AgeModelFldr
			Prompt ModelAgeData, "Select Age Profile", popup, WaveList( "*", ";", "" )
			Prompt ModelDepthData, "Select Depth Profile", popup, WaveList( "*", ";", "" )
			DoPrompt "ImageDepth2Age", ModelAgeData, ModelDepthData; AbortOnValue V_Flag, 0
			G_ModelAgeData = ModelAgeData, G_ModelDepthData = ModelDepthData
			AgeModelCheck( ModelAgeData, ModelDepthData )
			WAVE AgeM = $ModelAgeData, DepthM = $ModelDepthData
		SetDataFolder root:
			Prompt ImageWaveFldr, "Select the folder with the depth scaled Image", popup, "root:;" + SortList( FolderList( "*" ) )
			DoPrompt "ImageDepth2Age", ImageWaveFldr; AbortOnValue V_Flag, 0
			G_ImageWaveFldr = ImageWaveFldr
		SetDataFolder $ImageWaveFldr
			Prompt DepthImage, "Image to Convert", popup, SortList( WaveList( "*", ";", "DIMS:3" ) )
			Prompt AgeResolution, "Age Resolution of Image in Years ( e.g. 100, 500, 1000, 5000 ):"
			DoPrompt "ImageDepth2Age", DepthImage, AgeResolution; AbortOnValue V_Flag, 0
			G_DepthImage = DepthImage; G_AgeResolution = AgeResolution
			AgeResolution/= 1000000
			Wave ImageWv = $DepthImage
			AgeImage = DepthImage + "_Age"
			Variable TopAge = WaveMin( AgeM )
			Variable BottomAge = WaveMax( AgeM )
			Variable AgeSpan = BottomAge - TopAge
			Make/O/N = ( ( AgeSpan / AgeResolution) + 1, 101, 3 ) $AgeImage
			WAVE AgeImageWv = $AgeImage
			AgeImageWv = NaN
			Redimension/B/U AgeImageWv
			SetScale/P x WaveMin( AgeM ), AgeResolution, "", AgeImageWv
			SetScale y 0, 1, "", AgeImageWv
			Make/O/N = ( DimSize( AgeImageWv, 0 ) ) Ages, Depths
			CopyScales/I AgeImageWv Ages
			Ages = TopAge + ( AgeResolution * p )
			Depths = interp( Ages, AgeM, DepthM )
			Variable i
			For( i = 0; ( DepthM[ i + 1 ] < RightX( ImageWv ) && i < ( NumPnts( DepthM ) - 1 ) ) ; i += 1 )
				Duplicate/O/R = ( DepthM[ i ], DepthM[ i + 1 ] ) ImageWv  Temp
				SetScale x AgeM[ i ], AgeM[ i + 1 ],"", Temp
				EXECUTE AgeImage + "( " + Num2Str( LeftX( Temp ) ) + ", " + Num2Str( RightX( Temp ) ) + " )()() = Temp( x )( y )( z )"
			EndFor
			KillWaves/Z Temp, Temp2
			Print "Finished"
		SetDataFolder root:		
		Variable SError = GetRTError( 1 ) // Gets rid of error message having to do with image sizing and fractional endings
	End

-----------------------------------------------------------------------------
