#pragma rtGlobals=1		// Use modern global access method.
	
	Macro Filtering3( Center, Target, FWidth, PwrSmth )
			Variable  Center = XCsr(A), FWidth = 7, PwrSmth = 3
			String Target = GetBrowserSelection( 0 )
			Variable V1, V2 = NumPnts( $Target ), i = 0
			Variable Points
		SetDataFolder root:
			Do
				Points = 2 ^ i
				If( Points > V2 )
					Break
				EndIf
				i += 1
			While(1)
			ReDimension/N = ( Points ) $Target	
			WindowFunction/Dest = HanWv Hanning, $Target
			ReDimension/N = ( V2 ) $Target
			Duplicate/O $Target Envelope, Recon
			Envelope=.5*( 1 - cos( ( 2 * x * pi ) / Points ) )
			FFT/OUT = 1/DEST = HanWv_FFT HanWv
			FFT/OUT = 3/DEST = HanWv_PWR HanWv
			Smooth PwrSmth, HanWv_PWR
			If( ! ItemsInList( WinList("Pwr_Filter",";","") ) )
				Pwr_Filter()
				ABORT "Fix Cursor A on Filter Point"
			EndIf
			DoWindow/F Pwr_Filter
			Center = XCsr(A)
			If( Center == 0 )
				Display HanWv_Pwr
				ABORT "Place Cursor A on Power Plot"
			EndIF
			Make/O/N = ( Numpnts( HanWv_FFT ) ) HanWv_R, HanWv_I, G_Filter;
			HanWv_R = Real( HanWv_FFT )
			HanWv_I = Imag( HanWv_FFT )
			SetScale/P x 0, DimDelta( HanWv_FFT, 0 ), HanWv_R, G_Filter
			G_Filter = 0; G_Filter( Center ) = 1
			Smooth FWidth, G_Filter
			V1 = WaveMax( G_Filter)
			G_Filter /= V1
			HanWv_R *= G_Filter
			HanWv_I *= G_Filter
			HanWv_FFT = Cmplx( HanWv_R, HanWv_I )
			IFFT/DEST=HanWv_FFT_IFFT HanWv_FFT
			ReDimension/N = ( V2 ) HanWv_FFT_IFFT
			Envelope += .05
			Recon = HanWv_FFT_IFFT/Envelope
			ReDimension/N = ( V2 ) HanWv, Recon
			KillWaves/Z HanWv_I, HanWv_R, HanWv_FFT, HanWv_FFT_IFFT
			KillWaves/Z Envelope
	EndMacro
	
	
	Window Pwr_Filter() : Graph
		PauseUpdate; Silent 1		// building window...
		Display /W=(1410,44,1805,252) HanWv_PWR as "Pwr_Filter"
		AppendToGraph/R G_Filter
		ModifyGraph rgb(G_Filter)=(1,16019,65535)
		Cursor/P A HanWv_PWR 15
		ShowInfo
	EndMacro
