﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.


Function ISOBEN_Correction() 
	SetDataFolder root: 
		String list = Folderlist("*")
		String/G G_CorrectionFolder, G_IsoFolder
		String CorrectionFolder = G_CorrectionFolder, IsoFolder = G_IsoFolder
		prompt CorrectionFolder, "Locate the Folder with the isotope correction information", popup, list
		DoPrompt "ISOBEN_Correction", CorrectionFolder; AbortOnValue V_Flag, 0 
		G_CorrectionFolder = CorrectionFolder
	SetDataFolder $CorrectionFolder
		String/G G_Abbr, G_d13Ccorr, G_d18Ocorr, G_OffsNote, G_Offsource
		String Abbr = G_Abbr, d13Ccorr = G_d13Ccorr, d18Ocorr = G_d18Ocorr, OffsNote = G_OffsNote, Offsource = G_Offsource
		prompt Abbr, "Abbreviation wave", popup, Wavelist("*",";","")
		prompt d13Ccorr, "d13C correction wave", popup, Wavelist("*",";","")
		prompt d18Ocorr	, "d18O correction wave", popup, Wavelist("*",";","")
		prompt OffsNote, "Note wave", popup, Wavelist("*",";","")
		prompt Offsource, "Source wave", popup, Wavelist("*",";","")
		DoPrompt "ISOBEN_Correction", Abbr, d13Ccorr, d18Ocorr, OffsNote, Offsource; AbortOnValue V_Flag, 0
		Wave W_d13Ccorr = $d13Ccorr, W_d18Ocorr = $d18Ocorr
		Wave/T W_Abbr = $Abbr, W_OffsNote = $OffsNote, W_Offsource = $Offsource
		G_Abbr = Abbr, G_d13Ccorr = d13Ccorr, G_d18Ocorr = d18Ocorr, G_OffsNote = OffsNote, G_Offsource = Offsource
	SetDataFolder root: 
		prompt IsoFolder, "Locate the Folder with the isotope data that you wish to correct", popup, list
		DoPrompt "ISOBEN_Correction", IsoFolder; AbortOnValue V_Flag, 0 
		G_IsoFolder = IsoFolder
	SetDataFolder $IsoFolder
		String/G G_IsoSpec, G_Isod13Cvpdb, G_Isod18Ovpdb, G_IsoNote, G_IsoHole
		String IsoSpec = G_IsoSpec, Isod13Cvpdb = G_Isod13Cvpdb, Isod18Ovpdb = G_Isod18Ovpdb, IsoNote = G_IsoNote, IsoHole = G_IsoHole
		prompt IsoHole "Type in the Hole, e.g. U926A, or splice, e.g. U926S or U926_Splice"
		DoPrompt "ISOBEN_Correction", IsoHole; AbortOnValue V_Flag, 0 
		prompt IsoSpec, "Species wave", popup, Wavelist(IsoHole+"*",";","")
		prompt Isod13Cvpdb, "Uncorrected d13C wave", popup, Wavelist(IsoHole+"*",";","")
		prompt Isod18Ovpdb, "Uncorrected d18O wave", popup, Wavelist(IsoHole+"*",";","")				
		prompt IsoNote, "Isotope Note wave", popup, Wavelist(IsoHole+"*",";","")		
		DoPrompt "ISOBEN_Correction", IsoSpec, Isod13Cvpdb, Isod18Ovpdb, IsoNote; AbortOnValue V_Flag, 0 
		Wave W_Isod13Cvpdb = $Isod13Cvpdb, W_Isod18Ovpdb = $Isod18Ovpdb
		Wave/T W_IsoSpec = $IsoSpec, W_IsoNote = $IsoNote
		Duplicate/O W_Isod13Cvpdb $Isod13Cvpdb+"corr"
		Duplicate/O W_Isod18Ovpdb $Isod18Ovpdb+"corr"
		Wave W_Isod13Ccorr = $Isod13Cvpdb+"corr", W_Isod18Ocorr = $Isod18Ovpdb+"corr"
		W_Isod13Ccorr = Nan; W_Isod18Ocorr = Nan
		G_IsoSpec = IsoSpec, G_Isod13Cvpdb = Isod13Cvpdb, G_Isod18Ovpdb = Isod18Ovpdb, G_IsoNote = IsoNote, G_IsoHole = IsoHole 
	SetDataFolder root: 
		Variable i = 0
		Duplicate/O W_Isod13Cvpdb NoteMask
		NoteMask = strsearch(W_IsoNote, "; Isotope correction information:", 0, 2) - 1
		If(NoteMask[0] < 0)
		Else	
			For (i=0; i<numpnts(W_IsoNote); i+=1)
				String Temp = W_IsoNote[i]
				W_IsoNote[i] = Temp[0,NoteMask[i]]
			EndFor
		Endif
		KillWaves NoteMask
		For (i=0; i<numpnts(W_Abbr); i+=1)
			Duplicate/O W_Isod13Cvpdb SpecMask
			print "Corrected ", W_Abbr[i], "( d18O by", W_d18Ocorr[i],"; d13C by ", W_d13Ccorr[i], ")"
			String OffsetInfo = "; Isotope correction information: " + W_OffsNote[i] + " (" + W_Offsource[i] + ")"
			SpecMask = stringmatch(W_Abbr[i]	, W_IsoSpec)
			W_Isod13Ccorr = SpecMask == 1 ? (W_Isod13Cvpdb + W_d13Ccorr[i]) : W_Isod13Ccorr
			W_Isod18Ocorr = SpecMask == 1 ? (W_Isod18Ovpdb + W_d18Ocorr[i]) : W_Isod18Ocorr
			W_IsoNote = W_IsoNote + SelectString(SpecMask,"",OffsetInfo)
			KillWaves SpecMask
		EndFor
End	