#pragma rtGlobals=3		// Use modern global access method and strict wave access.


Macro Elemental_Scaling(Oxide_Wave,Area_Wave,S_Wave)
	String Oxide_Wave=G_S1, Area_Wave=G_S2, S_Wave=G_S3  // Declare Strings and give value of Glogal Strings
	Variable Oxide_Median, Area_Median   // Declare local Variables
	Silent 1									// This line prevents the macro from writing each line in the command window as it executes
	PauseUpdate;							//  This line makes sure that tables and graphs do not update until macro is finished
	G_S1= Oxide_Wave			// The next 3 lines reset the Global Strings if they were changed when the macro was started
	G_S2=Area_Wave
	G_S3=S_Wave
	Duplicate/O $Oxide_Wave Temp  // Temp here is used to copy the oxide values for sorting to find the median
	Sort Temp Temp					// This line sorts the oxide values (Temp)
	Oxide_Median=Temp[NumPnts(Temp)/2]  // the Median is equal to the middle value of the sorted data. 
	Duplicate/O $Area_Wave temp			// Temp is reset to be a copy of the Elemental Area
	Sort Temp Temp						//  Sorting
	Area_Median=Temp[NumPnts(Temp)/2]	// Calculates median of Area
	Duplicate/O $Area_Wave $S_Wave  // The S_Wave String holds the scaled Area data (per Lyle et al, 2012)
	$S_Wave=Oxide_Median*($Area_Wave/Area_Median)  //   Calculate the value of the S_Wave
	KillWaves Temp   			//Get rid of Temp
EndMacro

Macro MakeNMS(Wave_Identifier)
	String  Wave_Identifier=G_S1, S1		// Wave_Identifier is the FILTER for the list of Scaled Waves set to a global value, S1 will be a string holding the list,
	Variable i 		// Variable i is a standard notation for a counter in a loop
	Silent 1									// This line prevents the macro from writing each line in the command window as it executes
	PauseUpdate;							//  This line makes sure that tables and graphs do not update until macro is finished
	G_S1=Wave_Identifier		// Resets the global value of G_S1
	DoAlert 2, "Be Sure That No NMS Data Are Plotted on Active Graphs"  // The alert warns about having NMS waves in open plots
	If(V_Flag==3)  // The Alert sets V_Flag. V_Flag=3 means cancel the macro
		Abort  // This stops the experiment
	EndIf
	S1=WaveList("*"+Wave_Identifier+"*_NMS",",","")		//  S1 is set to be a list of the existing filtered NMS waves
	EXECUTE "KillWaves/Z XXX,"+S1							// This line Kills all of the existing filtered NMS waves

	S1=WaveList("*"+Wave_Identifier+"*",";","")   //  Sets S1 to a list of Scaled waves
	Duplicate/O $StringFromList(0,S1)  S_sum // S_Sum is a wave that holds the sum of all of the scaled data.
												// It is set to the values of the first wave in the Scaled data wave list
	i=1;  // Set counter to 1 because S_Sum already has the values from the first wave of the list through the Duplicate statement above
	Do
		S_Sum=S_Sum+$StringFromList(i,S1)  // Each scaled wave in the list is added to S_Sum
		i+=1
	While(i< itemsinlist(S1))  // This line ends the loop when the couter is equal to the number of waves in the list
	i=0  					//  Remember to reset the counter before a new loop.
	Do
		Duplicate/O $StringFromList(i,S1) $StringFromList(i,S1)+"_NMS" // NMS waves are formed by duplicating scaled waves and adding "_NMS" to the name
		$StringFromList(i,S1)+"_NMS"=$StringFromList(i,S1)*100/S_Sum  //NMS waves are normalized to 100
		i+=1
	While(i< itemsinlist(S1))  // This line ends the loop when the couter is equal to the number of waves in the list
	
End Macro