#pragma rtGlobals = 1		// Use modern global access method.
	
	
	Function New_Core( )
		SaveExperiment;
		SetDataFolder root:
			WAVE Interp_Image
			Variable i
			String/G G_Hole, G_Core_Image
			String Hole = G_Hole
			Prompt Hole, "Hole"
			DoPrompt "New_Core", Hole; AbortOnValue V_Flag, 0
			G_Hole = Hole 
			String Site = RemoveEnding( Hole )
			String Tie_Folder = "root:"+ Hole + "_Tie_Points" 
			String HoleLetter = Hole[ StrLen( Hole ) - 1 ]
			String ImgList = ImageNameList( "", ";" )
			For( i = 0; i < ItemsInList( ImgList ); i += 1 )
				If( !StrSearch( StringFromList( i, ImgList ), "S2", 0 ) )
				RemoveImage  $StringFromList( i, ImgList )
				EndIf
			EndFor
			Make/O/N = 0 Core_Ties, Splice_Ties
		SetDataFolder $Site + "_Splice_Intervals"
			WAVE CCSF_Top, CCSF_Bottom
			WAVE/T  Hole_Top
		NewDataFolder/O/S root:Xtras
			Duplicate/O CCSF_Top HoleSplTop, HoleSplBottom, HoleFilter
			WAVE Numbers, Ones
		SetDataFolder root:
			HoleFilter = StringMatch( HoleLetter, Hole_Top )
			HoleFilter = HoleFilter == 0 ? NaN : HoleFilter
			HoleSplTop = HoleFilter * CCSF_Top
			HoleSplBottom = HoleFilter * CCSF_Bottom
		SetDataFolder $Hole + "_S2"
			String Core_Image = G_Core_Image
			Prompt Core_Image, "New Core:", popup, WaveList( "*",";","DIMS:3" );
			DoPrompt "New_Core", Core_Image; AbortOnValue V_Flag, 0
			WAVE CoreImg = $Core_Image
			G_Core_Image = Core_Image;
			String Core = Core_Image[ 3, inf] 
		NewDataFolder/O/S $Tie_Folder	
			PauseUpdate;
			AppendImage/R=Core_Image_Axis CoreImg
			EXECUTE "Cursor/I B " + Core_Image + " 0, 0"
			ModifyGraph axisEnab(Core_Image_Axis)={0.0,0.32}
			ModifyGraph noLabel(Core_Image_Axis)=2
			ModifyGraph freePos(Core_Image_Axis)=0
			ModifyGraph tick(Core_Image_Axis)=3
			If( Exists( Core + "_Core_Ties" ) )
				Duplicate/O $Core + "_Core_Ties" Core_Ties
				Duplicate/O $Core + "_Splice_Ties" Splice_Ties			
			Else
				Make/O/N = 0 $Core + "_Core_Ties", $Core + "_Splice_Ties"
				WAVE CTies = $Core + "_Core_Ties", STies = $Core + "_Splice_Ties"
				For( i = 0; i < NumPnts( HoleFilter ); i += 1 )
					If( HoleSplTop[ i ] > LeftX( CoreImg )  && HoleSplBottom[ i ] < RightX( CoreImg ) )
						InsertPoints 0, 2, CTies, STies
						CTies[ 0 ] = HoleSplTop[ i ]
						CTies[ 1 ] = HoleSplBottom[ i ]
						Duplicate/O CTies STies, Core_Ties, Splice_Ties
					EndIf
				EndFor
			EndIf
		SetDataFolder root:Xtras
			Duplicate/O Core_Ties Ones, Numbers
			Ones = .5; Numbers = x
		SetDataFolder root:
			Change_Depth_Range_F( "Bottom", ( LeftX( CoreImg ) - 1 ), ( RightX( CoreImg ) + 1 ), 0 )
//			SetAxis Bottom LeftX( CoreImg ) - 1, RightX( CoreImg ) + 1
			Print "New_Core_F( \"" + Hole + "\", \"" + Core_Image +"\" )"
	EndMacro 

	
	Function New_Core_F( Hole, Core_Image )
		String Hole, Core_Image
		SetDataFolder root:
			WAVE Interp_Image
			Variable i
			String/G G_Hole, G_Core_Image
			G_Hole = Hole 
			String Site = RemoveEnding( Hole )
			String Tie_Folder = "root:"+ Hole + "_Tie_Points" 
			String HoleLetter = Hole[ StrLen( Hole ) - 1 ]
			String ImgList = ImageNameList( "", ";" )
			For( i = 0; i < ItemsInList( ImgList ); i += 1 )
				If( !StrSearch( StringFromList( i, ImgList ), "S2", 0 ) )
				RemoveImage  $StringFromList( i, ImgList )
				EndIf
			EndFor
			Make/O/N = 0 Core_Ties, Splice_Ties
		SetDataFolder $Site + "_Splice_Intervals"
			WAVE CCSF_Top, CCSF_Bottom
			WAVE/T  Hole_Top
		NewDataFolder/O/S root:Xtras
			Duplicate/O CCSF_Top HoleSplTop, HoleSplBottom, HoleFilter
			WAVE Numbers, Ones
		SetDataFolder root:
			HoleFilter = StringMatch( HoleLetter, Hole_Top )
			HoleFilter = HoleFilter == 0 ? NaN : HoleFilter
			HoleSplTop = HoleFilter * CCSF_Top
			HoleSplBottom = HoleFilter * CCSF_Bottom
		SetDataFolder $Hole + "_S2"
			If( Exists( Core_Image ) )
				WAVE CoreImg = $Core_Image
			Else
				SetDataFolder root:
				ABORT " There is no image for " + Core_Image
			EndIf
			G_Core_Image = Core_Image;
			String Core = Core_Image[ 3, inf] 
		NewDataFolder/O/S $Tie_Folder	
			PauseUpdate;
			SaveExperiment;
			AppendImage/R=Core_Image_Axis CoreImg
			EXECUTE "Cursor/I B " + Core_Image + " 0, 0"
			ModifyGraph axisEnab(Core_Image_Axis)={0.0,0.32}
			ModifyGraph noLabel(Core_Image_Axis)=2
			ModifyGraph freePos(Core_Image_Axis)=0
			ModifyGraph tick(Core_Image_Axis)=3
			If( Exists( Core + "_Core_Ties" ) )
				Duplicate/O $Core + "_Core_Ties" Core_Ties
				Duplicate/O $Core + "_Splice_Ties" Splice_Ties			
			Else
				Make/O/N = 0 $Core + "_Core_Ties", $Core + "_Splice_Ties"
				WAVE CTies = $Core + "_Core_Ties", STies = $Core + "_Splice_Ties"
				For( i = 0; i < NumPnts( HoleFilter ); i += 1 )
					If( HoleSplTop[ i ] > LeftX( CoreImg )  && HoleSplBottom[ i ] < RightX( CoreImg ) )
						InsertPoints 0, 2, CTies, STies
						CTies[ 0 ] = HoleSplTop[ i ]
						CTies[ 1 ] = HoleSplBottom[ i ]
						Duplicate/O CTies STies, Core_Ties, Splice_Ties
					EndIf
				EndFor
			EndIf
		SetDataFolder root:Xtras
			Duplicate/O Core_Ties Ones, Numbers
			Ones = .5; Numbers = x
		SetDataFolder root:
			SetAxis Bottom LeftX( CoreImg ) - 1, RightX( CoreImg ) + 1
	EndMacro

