#pragma rtGlobals=1		// Use modern global access method.

Menu "Macros"
	"RGB_Lightness_Curves/9"
End

------------------------------------------------------------------

// This macro pulls the R, G, or B intensity profiles from all of the data K"_" folders.
// A 3d order polynomial curve is fit to the sum of the curves.



Macro RGB_Lightness_Curves(Section,Report,RGB)
	String Section=G_S1, Report=G_S2, RGB=G_S3
	Prompt Section, "Section"
	Prompt Report, "Print Section Names? (Y or N)"
	Prompt RGB, "R, G, or B?", popup, "R;G;B"
	Silent 1;
	PauseUpdate;
	Make/O/N=0 W_LineProfileX, W_ImageLineProfile, W_LineProfileY
	root:G_S1=Section; root:G_S2=Report; root:G_S3=RGB
	Variable i=0,V1,Layer
	String S1,K_Folder,S2
	S1= datafolderdir(1)
	S1=S1[0,(StrLen(S1)-3)]
	Make/O/N=0 Lightness,Interval,Temp
	If(Stringmatch("R",RGB))
		Layer=0
	EndIf
	If(Stringmatch("G",RGB))
		Layer=1
	EndIf
	If(Stringmatch("B",RGB))
		Layer=2
	EndIf
	
	Do
		K_Folder=stringfromlist(i,S1,",")
		If(StrLen(K_Folder)<2)
			Break;
		EndIf
		If(StringMatch(K_Folder,"*K_*"))
			If(i==0)
				K_Folder=K_Folder[8,strlen(K_Folder)]
			EndIf	
			S2="root:"+K_Folder+":"+K_Folder+"_"+Section
			If(Exists(S2))
				Duplicate/O $S2 Temp_Section
				Make/O/N=(dimsize($S2,0)) xw,yw
				xw=dimoffset($S2,0)+dimdelta($s2,0)*x
				yw=dimoffset($S2,1)+dimdelta($s2,1)*(dimsize($S2,1)/2)
				ImageLineProfile/SC/P=(Layer) xWave=xw, yWave=yw, srcwave=Temp_Section,width=(dimsize($S2,1)/4)
				If(StringMatch(Report,"Y")||StringMatch(Report,"y"))
					print  s2
				EndIf
				V1=W_LineProfileX[0]
				W_LineProfileX-=V1
				V1=StatsMedian(W_ImageLineProfile)
				W_ImageLineProfile-=V1
				Concatenate "W_LineProfileX;", Interval
				Concatenate "W_ImageLineProfile;", Lightness
			EndIf
		EndIf
		i+=1
	While(1)
If(!StrLen( WinList("Lightness_Plot",";","")))
	Lightness_Plot()
EndIf
DoWindow/F Lightness_Plot
	KillWaves W_LineProfileX, W_LineProfileY, Temp, Temp_Section, W_ImageLineProfile,xw,yw
//	SaveExperiment
Endmacro


Window Lightness_Plot() : Graph
	PauseUpdate; Silent 1		// building window...
	Display /W=(64,44,928,553) Lightness vs Interval
	ModifyGraph mode=3
	ModifyGraph msize=3
EndMacro
