#pragma rtGlobals=1		// Use modern global access method.
	
	RGB_Split() splits a color image into three greyscale images representing the Red, Green,
	and Blue layers of the color composite. The resultant image waves have the same name as
	the original, with "R_", "G_", or "B_" added to the front. New iamges are placed in root:.
	
	Function RGB_Split( )
		SetDataFolder root:
			String ImageName, ImagePath, R_layer, G_layer, B_layer;
			Variable Colon
			DoAlert 1, "Did You Select the Core Image in the Data Browser?"
			If(V_Flag==2)
			Abort("Select Core Images and Run Again.")
			EndIf
			ImagePath = GetBrowserSelection(0)
			Colon = StrSearch(ImagePath,":",inf,1)
			ImageName = ImagePath[Colon+1,inf]
			WAVE Image = $ImagePath
			R_Layer = "R_" + ImageName;
			G_Layer = "G_" + ImageName;
			B_Layer = "B_" + ImageName;
			Make/O/B/U/N = ( dimsize( Image, 0 ), dimsize( Image, 1 ) ), $R_Layer, $G_Layer, $B_Layer;
			WAVE Red = $R_Layer, Green = $G_Layer, Blue = $B_Layer
			Red[][] = Image[p][q][0];
			Green[][] = Image[p][q][1];
			Blue[][] = Image[p][q][2];
			CopyScales Image Red, Green, Blue
			Preferences 1
			Display; AppendImage/R Red
			Display; AppendImage/R Green
			Display; AppendImage/R Blue
	End
	
