#pragma rtGlobals=1		// Use modern global access method.

	



//
//	Section_Image_Load() loads section images from a predefined folder location.  The images are the 
//		cropped consumer images.  Images from the original IODP scanner of Legs 199-312 need to be cropped
//		before uploading to remove the meter scale and core end information.

//		The macro forms section images that begin with
//		"K_" that are used by Assemble_Core_Image() to make the whole core image. They are deleted when the
//		assembly macro is run.
//	


-------------------------------------------------------

//Macro Exp320_Section_Image_Load(Hole,Core)
String Core=Num2Str((G_Core_Num+1)), Hole=G_Hole;
String S1, Matrix, Section
Variable i=0, j=0, V_Core, V_Section, Section_Top, Section_Bottom,V1,V2
G_Core_Num=Str2Num(Core)
G_Hole=Hole
Matrix=Hole+"_Coring_Matrix"
Silent 1;
S1= "Killwaves/Z NotAWave,"+WaveList("J_*",",","")
Execute S1 
S1= "Killwaves/Z NotAWave,"+WaveList("K_*",",","")
Execute S1 
Do
	S1=IndexedFile(Image_Path,i,"????")
	If(StrLen(IndexedFile(Image_Path,i,"????"))==0)
		Break;
	EndIf
	If(!Stringmatch(S1,"*"+"CC"+"*"))
		V1=StrSearch(s1,Hole,0)
		V2=StrSearch(s1,"-",(V1+9))
		V_Core=Str2Num(S1[(V1+7),(V1+8)])
		V_Section=Str2Num(S1[(V2+1)])
		Core=Num2Str(V_Core)
		If(G_Core_Num==V_Core)
			Section="K_"+Hole+"_"+Core+"_"+Num2Str(V_Section)
			ImageLoad/O/P=Image_Path/T=jpeg IndexedFile(Image_Path,i,"????");
			s_filename=s_filename[0,30]
			ImageRotate/O/A=270 $S_FileName
			print  Section
			Make/O/B/N=( (dimsize($S_FileName,0)/2)-100, 1000,3) $Section
			SetScale/P x 100,2,"", $Section
			SetScale/P y 200,1,"", $Section
			$Section()()()=$S_FileName(x)(y)(z)
			Section_Top=$Matrix[V_Core][V_Section][0]
			Section_Bottom=$Matrix[V_Core][V_Section][0]+$Matrix[V_Core][V_Section][1]
			SetScale/I x Section_Top,Section_Bottom,"", $Section
			Killwaves/Z $S_FileName
		EndIf
	EndIf
i+=1
While(1)
EndMacro

--------------------------------------------------------

Macro Exp199_Section_Image_Load(Hole,Core)
String Core=Num2Str((G_Core_Num+1)), Hole=G_Hole;
String S1, Matrix, Section
Variable i=0, j=0, V_Core, V_Section, Section_Top, Section_Bottom,V1,V2
G_Core_Num=Str2Num(Core)
G_Hole=Hole
Matrix=Hole+"_Coring_Matrix"
Silent 1;
S1= "Killwaves/Z NotAWave,"+WaveList("J_*",",","")
Execute S1 
S1= "Killwaves/Z NotAWave,"+WaveList("K_*",",","")
Execute S1 
Do
	S1=IndexedFile(Image_Path,i,"????")
	If(StrLen(IndexedFile(Image_Path,i,"????"))==0)
		Break;
	EndIf
	If(!StringMatch(S1,"*"+"CC"+"*"))
	
		V1=StrSearch(s1,Hole[1,4],0)
		V2=StrSearch(s1,"_",(V1+6))
		V_Core=Str2Num(S1[(V1+6),(V1+8)])
		V_Section=Str2Num(S1[(V2+1),(V2+2)])
//		V_Core=Str2Num(S1[(V1+6),(V1+7)])
//		V_Section=Str2Num(S1[(V2+1)])
		Core=Num2Str(V_Core)

		If(G_Core_Num==V_Core&&StringMatch(S1,"*"+Hole[1,5]+"*"))
			Section="K_"+Hole+"_"+Core+"_"+Num2Str(V_Section)
			ImageLoad/O/P=Image_Path/T=jpeg IndexedFile(Image_Path,i,"????");
			s_filename=s_filename[0,30]
			ImageRotate/O/A=270 $S_FileName
			print  Section
			Duplicate/O $S_FileName  $Section
			Section_Top=$Matrix[V_Core][V_Section][0]
			Section_Bottom=$Matrix[V_Core][V_Section][0]+$Matrix[V_Core][V_Section][1]
			SetScale/I x Section_Top,Section_Bottom,"", $Section
			Killwaves/Z $S_FileName
		EndIf
	EndIf
i+=1
While(1)
EndMacro

-------------------------------------------------------

Macro Exp320_Section_Image_Load_2(Hole,Core)
String Core=Num2Str((G_Core_Num+1)), Hole=G_Hole;
String S1, Matrix, Section
Variable i=0, j=0, V_Core, V_Section, Section_Top, Section_Bottom,V1,V2,Length
G_Core_Num=Str2Num(Core)
G_Hole=Hole
Matrix=Hole+"_Coring_Matrix"
Silent 1;
PauseUpdate;
S1= "Killwaves/Z NotAWave,"+WaveList("J_*",",","")
Execute S1 
S1= "Killwaves/Z NotAWave,"+WaveList("K_*",",","")
Execute S1 
Do
	S1=IndexedFile(Image_Path,i,"????")
	If(StrLen(IndexedFile(Image_Path,i,"????"))==0)
		Break;
	EndIf
	If(!Stringmatch(S1,"*"+"CC"+"*"))
		V1=StrSearch(s1,Hole,0)
		V2=StrSearch(s1,"-",(V1+9))
		V_Core=Str2Num(S1[(V1+7),(V1+8)])
		V_Section=Str2Num(S1[(V2+1)])
		Section_Top=$Matrix[V_Core][V_Section][0]
		Section_Bottom=$Matrix[V_Core][V_Section][0]+$Matrix[V_Core][V_Section][1]
		Length=(Section_Bottom-Section_Top)/.0001
		Core=Num2Str(V_Core)
		If(G_Core_Num==V_Core)
			Section="K_"+Hole+"_"+Core+"_"+Num2Str(V_Section)
			ImageLoad/O/P=Image_Path/T=jpeg IndexedFile(Image_Path,i,"????");
			s_filename=s_filename[0,30]
			ImageRotate/O/A=270 $S_FileName
			SetScale/I x Section_Top,Section_Bottom,"", $S_FileName
			SetScale/I y 0,1,"", $S_FileName
			print  Section
			Make/O/B/N=( Length+1, 1001,3) $Section	
			SetScale/P x Section_Top,.0001,"", $Section
			SetScale/P y  0,.001,"", $Section			
			$Section()()()=$S_FileName(x)(y)(z)
			Killwaves/Z $S_FileName
		EndIf
	EndIf
i+=1
While(1)
EndMacro

--------------------------------------------------------

