﻿#pragma TextEncoding = "UTF-8"
#pragma rtGlobals=3		// Use modern global access method and strict wave access.

		
//	Function Splice_Images072016(  )
		SetDataFolder root:
			String/G G_Site
			Variable/G G_Resolution
			Variable Resolution = G_Resolution
			String Site = G_Site, Splice_Folder, Splice_Format = "Splice_Intervals"
			String Hole, S2, Top = Site+"_Top" ,Bottom = Site + "_Bottom"
			Variable i = 0, Splice_Length, Core, Splice_Bottom, Splice_Top, SecPixLen
			Prompt Site, "Site"
			Prompt Splice_Format,  "Use Splice Ties or Splice Intervals Format?",  popup,  "Splice_Intervals;Splice_Ties"
			Prompt Resolution, "Depth Resolution ( m ):"
			DoPrompt "Splice_Images", Site, Splice_Format, Resolution; AbortOnValue V_Flag, 0
			G_Site = Site; G_Resolution = Resolution
			PauseUpdate;
	
			If( SpliceDataCheck( Site ) ) // This is a separate function to check the splice tables, both intervals and ties.
				Abort
			Endif
	
			If( StringMatch( Splice_Format, "Splice_Intervals" )  ) // This is for the Splice Interval form of the splice data
		SetDataFolder $Site+"_Splice_Intervals"
					WAVE/T Hole_Top
					WAVE Core_Top, CCSF_Top, CCSF_Bottom
					Hole = Hole_Top[ i ]

					If( CheckMatrix4CCSF( Site, Hole ) )
						ABORT "There are no CCSF values in " + Site + Hole + "_Coring_Matrix\r\rYou forgot to run Add_Offsets() before splicing."
					EndIf

					Core = Core_Top[ i ]
					If( Core < 10 )
						Wave CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_0" + num2str( Splice_Interval_Core( Site, i ) )
					Else
						WAVE CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_" + num2str( Splice_Interval_Core( Site, i ) )
					EndIf
			Else  				
		SetDataFolder $Site+"_Splice_Ties"  // This is for the Splice Ties form of the splice data
					WAVE/T Hole_Bottom
					WAVE Core_Bottom, CCSF_Top, CCSF_Bottom
					Hole = Hole_Bottom[ i ]

					If( CheckMatrix4CCSF( Site, Hole ) )
						ABORT "There are no CCSF values in " + Site + Hole + "_Coring_Matrix\r\rYou forgot to run Add_Offsets() before splicing."
					EndIf

					Core = Core_Bottom[ i ]
					If( Splice_Tie_Core( Site, i ) < 10 )
						WAVE CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_0" + num2str( Splice_Tie_Core( Site, i ) )
					Else
						WAVE CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_" + num2str( Splice_Tie_Core( Site, i ) )
					EndIf
			EndIf	
		SetDataFolder root:
			If( WaveType( CoreImage ) != 72 ) // Check to see if the images are unsigned byte.
				DoAlert/T = "Image Precision Problem" 1, "The first Image in the splice ( and probably all of them )\rare not in the \"Unsigned Byte\" format.\rThis may cause some problems while splicing.\r\rUse the \"ReDimension Waves\" menu to change them.\rDo you want to continue?"
				AbortOnValue V_Flag - 1, 0
			EndIf
			Wavestats/Q CCSF_Bottom // Get the length of the spliced image from the depth of the bottom splice interval
			Splice_Length = ( V_Max / Resolution ) + 2 // Calculate the length in pixels of the spliced image			
			Make/O/B/U/N = ( Splice_Length, 101, 3  ) $Site + "_Splice", temp0 // Create the Spliced Image with the right dimensions

			String SpliceName = Site + "_Splice"

			WAVE SplicedImage = $Site + "_Splice", temp0
			SetScale/P x, 0, Resolution, SplicedImage // Scale the spliced image
			SplicedImage = NaN
			SetScale/I y 0,1,"", SplicedImage		

	// This section sets up the first piece of the splice 
			
			If( StringMatch( Splice_Format, "Splice_Intervals" )  )
				Splice_Bottom = CCSF_Bottom[ 0 ]
				Splice_Top = CCSF_Top[ 0 ]
			Else
				Splice_Bottom = Splice_Tie_Bottom( Site, 0 )
				Splice_Top = Splice_Tie_Top( Site, 0 )	
			EndIf
			If( LeftX( CoreImage ) > Splice_Top || RightX( CoreImage ) < Splice_Bottom ) // Checks to see if the splice max and min CCSF are withing the image max and min
				Abort "Splice section range outside of depth range for " + Site + Hole + "-" + Num2Str( Core ) + "\rDid you forget to convert from CSF to CCSF?"
			EndIf			
			Duplicate/O/R = ( Splice_Top, Splice_Bottom ) CoreImage temp0
			SetScale/I y 0,1,"", temp0
			EXECUTE SpliceName + "( " + Num2Str( Splice_Top ) + ", " + Num2Str( Splice_Bottom ) + " )()() = Temp0( x )( y )( z )"
			Printf  "Working  on %s Line ", Splice_Format

	// This loop fills in the rest of the splice sections.			

			For( i = 0; i < V_Npnts; i += 1 )						
				If( StringMatch( Splice_Format, "Splice_Intervals" )  )
					Splice_Bottom = CCSF_Bottom[ i ]
					Splice_Top = CCSF_Top[ i ]
					Hole = Hole_Top[ i ]

					If( CheckMatrix4CCSF( Site, Hole ) )
						ABORT "There are no CCSF values in " + Site + Hole + "_Coring_Matrix\r\rYou forgot to run Add_Offsets() before splicing."
					EndIf

					Core = Core_Top[ i ]
					If( Splice_Interval_Core( Site, i ) < 10 )
						WAVE CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_0" + num2str( Splice_Interval_Core( Site, i ) )

					Else
						WAVE CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_" + num2str( Splice_Interval_Core( Site, i ) )
					EndIf
				Else
					Splice_Bottom = Splice_Tie_Bottom( Site, i )
					Splice_Top = Splice_Tie_Top( Site, i )
					Core = Splice_Tie_Core( Site, i )	
					Hole = Splice_Tie_Hole( Site, i )
					If( Splice_Tie_Core( Site, i ) < 10 )
						WAVE CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_0" + num2str( Splice_Tie_Core( Site, i ) )
					Else
						WAVE CoreImage = $"root:" + Site + Hole + "_S2:S2_" + Site + Hole + "_" + num2str( Splice_Tie_Core( Site, i ) )
				EndIf
				EndIf
				If( LeftX( CoreImage ) > Splice_Top || RightX( CoreImage ) < Splice_Bottom ) // Checks to see if the splice max and min CCSF are withing the image max and min
					Abort "Splice section range outside of depth range for " + Site + Hole + "-" + Num2Str( Core ) + "\rDid you forget to convert from CSF to CCSF?"
				EndIf			
				Duplicate/O/R=( Splice_Top, Splice_Bottom ) CoreImage temp0
				SetScale/I y 0,1,"", temp0
				EXECUTE SpliceName + "( " + Num2Str( Splice_Top ) + ", " + Num2Str( Splice_Bottom ) + " )()() = Temp0( x )( y )( z )"
	
				If( !mod( i, 10 ) ) // prints a message so the user knows the function is running since this can take a while on slower machines
					Printf  "  %d", i
				EndIf
			EndFor
			Killwaves temp0
			Printf  "  %d   Finished!\r", i
	EndMacro
	
	****************************************************************
