#pragma rtGlobals=1		// Use modern global access method and strict wave access.

//  This function assumes and assigns CSF of 0 for the top splice section - Core 1, Section 1, Interval = 0
//     when it converts from the old Splice Tie Table to the new Splice Interval Table format
//  Different values will need to be hand entered after the space for the top of the first section is added.


	Function Splice_Tie_Data_2_Intervals( )
			DoAlert/T = "WARNING!" 1, "Running this function will break any links to currently shared Splice Interval data and create local versions. Use \"Splice_Interval_Table()\" to see the current values.  \r\r Do you wish to proceed?"
			If( V_Flag == 2 )
				ABORT
			EndIf
		SetDataFolder root:
			String/G G_Site
			String Site = G_Site, WList, Top_Hole
			Variable i = 0
			Prompt Site, "Site"
			DoPrompt "Splice_Tie_Data_2_Intervals", Site; AbortOnValue V_Flag, 0
			Splice_Interval_Table_F( Site )
		SetDataFolder $"root:"+ Site + "_Splice_Intervals"
			WList = WaveList( "!*Comment", ";", "" )
		SetDataFolder $"root:"+ Site + "_Splice_Ties"
			WAVE/T Hole_Bottom
			Top_Hole = Hole_Bottom[0]
			For( i = 0; i < ItemsInList( WList );  i += 1 )
				WAVE W1 = $StringFromList( i, WList )
				Duplicate/O W1 $"root:"+ Site + "_Splice_Intervals:" + StringFromList( i, WList )
			EndFor
		SetDataFolder $"root:"+ Site + "_Splice_Intervals"
			WAVE  Core_Top, Section_Top, Interval_Top, CSF_Top, CCSF_Top
			WAVE/T Site_Top, Hole_Top, Type_Top, TIE, Comment
			WAVE  Section_Bottom, Interval_Bottom, CSF_Bottom, CCSF_Bottom
			InsertPoints 0,1, CCSF_Top,Core_Top,CSF_Top,Hole_Top,Interval_Top,Section_Top;DelayUpdate
			InsertPoints 0,1, Site_Top, Type_Top, TIE
			Section_Top[0] = 1; Interval_Top[0] = 0; CSF_Top[0] = 0; CCSF_Top[0] = 0
			Site_Top[ 0 ] = Site_Top[ 1 ];  Type_Top[ 0 ] = Type_Top[ 1 ]; Core_Top[ 0 ] = 1; TIE[ 0 ] = "ANCHOR"
			Duplicate/O/T Hole_Top Site_Top; Site_Top = Site
			Hole_Top[ 0 ] = Top_Hole	
			Duplicate/O/T TIE Comment; Comment = ""
		SetDataFolder root:
	End
	
-------------------------------------------------------------------------------------------------------

	Function Splice_Interval_Data_2_Ties( )
			DoAlert/T = "WARNING!" 1, "Running this function will break any links to currently shared Splice Tie data and create local versions. Use \"Splice_Tie_Table()\" to see the current values.  \r\r Do you wish to proceed?"
			If( V_Flag == 2 )
				ABORT
			EndIf
		SetDataFolder root:
			String/G G_Site
			String Site = G_Site, WList, Top_Hole
			Variable i = 0
			Prompt Site, "Site"
			DoPrompt "Splice_Interval_Data_2_Ties", Site; AbortOnValue V_Flag, 0
			Splice_Tie_Table_F( Site );
		SetDataFolder $"root:"+ Site + "_Splice_Intervals"
			WList = WaveList( "!*Number", ";", "" )
			For( i = 0; i < ItemsInList( WList );  i += 1 )
				WAVE W1 = $StringFromList( i, WList )
				Duplicate/O W1 $"root:"+ Site + "_Splice_Ties:" + StringFromList( i, WList )
			EndFor
		SetDataFolder $"root:"+ Site + "_Splice_Ties"
			WAVE  Core_Top, Section_Top, Interval_Top, CSF_Top, CCSF_Top
			WAVE/T Site_Top, Hole_Top, Type_Top, Hole_Bottom, Type_Bottom, TIE
			WAVE  Core_Bottom, Section_Bottom, Interval_Bottom, CSF_Bottom, CCSF_Bottom
			WAVE/T Site_Bottom
			Duplicate/O Core_Top Core_Bottom; 
			Duplicate/O/T Type_Top Type_Bottom; Duplicate/O/T Site_Top Site_Bottom; 
			Duplicate/O/T Hole_Top Hole_Bottom; Duplicate/O/T Hole_Bottom TIE
			Tie = ""
			DeletePoints 0,1, CCSF_Top, Core_Top, CSF_Top, Hole_Top, Interval_Top, Section_Top;DelayUpdate
			DeletePoints 0,1, Site_Top, Type_Top			
		SetDataFolder root:
	End
	

