#pragma rtGlobals=3		// Use modern global access method and strict wave access.



*******************************************************************************************************
	
	Function TuningTies()
		SetDataFolder root:
			SVAR G_DFolder, G_TFolder, G_DataWv, G_DataDepthWv, G_TargetWv, G_TargetAgeWv
			WAVE AgeTies, DepthTies
			If( !StringMatch( CsrWave( A ), G_TargetWv ) )
				Abort "Cursor A is not on the Target Wave"
			EndIf
			If( !StringMatch( CsrWave( B ), G_DataWv ) )
				Abort "Cursor B is not on the Data Wave"
			EndIf			
			InsertPoints 0, 1, AgeTies, DepthTies 
			AgeTies[ 0 ] = HCsr( A )
			DepthTies[ 0 ] = HCsr( B )
			Sort AgeTies DepthTies, AgeTies
		SetDataFolder $"root:" + G_DFolder
			WAVE DWv = $G_DataWv, DDepthWv = $G_DataDepthWv
		SetDataFolder $"root:" + G_TFolder
			WAVE TWv = $G_TargetWv, TAgeWv = $G_TargetAgeWv
		SetDataFolder $"root:Xtras"	
			Duplicate/O AgeTies AgeVals, DepthVals, TieNums
			TieNums = x
			AgeVals = interp( AgeTies, TAgeWv, TWv )
			DepthVals = interp( DepthTies, DDepthWv, DWv )
		SetDataFolder root:		
			Sort AgeTies DepthTies, AgeTies
			TuningSedRateCalc( )
			TuningData2Age_F( G_DFolder, G_DataWv, G_DataDepthWv )
	End

-----------------------------------------------------------------------------------------------------------------------------------
	
	Function Delete_TuningTies()
		SetDataFolder root:
			WAVE AgeTies, DepthTies
			Variable TieNum
			Prompt TieNum, "Delete Tie Number:"
			DoPrompt "Delete_TuningTies" TieNum; AbortOnValue V_Flag, 0
			DeletePoints TieNum ,1, AgeTies, DepthTies
			SVAR G_DFolder, G_TFolder, G_DataWv, G_DataDepthWv, G_TargetWv, G_TargetAgeWv
			WAVE AgeTies, DepthTies
		SetDataFolder $"root:" + G_DFolder
			WAVE DWv = $G_DataWv, DDepthWv = $G_DataDepthWv
		SetDataFolder $"root:" + G_TFolder
			WAVE TWv = $G_TargetWv, TAgeWv = $G_TargetAgeWv
		SetDataFolder $"root:Xtras"	
			Duplicate/O AgeTies AgeVals, DepthVals, TieNums
			TieNums = x
			AgeVals = interp( AgeTies, TAgeWv, TWv )
			DepthVals = interp( DepthTies, DDepthWv, DWv )
		SetDataFolder root:
			TuningSedRateCalc( )
			TuningData2Age_F( G_DFolder, G_DataWv, G_DataDepthWv )
		End	
