#pragma rtGlobals=1		// Use modern global access method.


*********************************************************************
	
	Function Universal_20Image_Loader( )
		SetDataFolder root:
			String Core, Hole, CC_YN = "Y";
			String Core_Number_Location, Section_Number_Location, Image_Extension
			Variable X_Resolution = .001, Type_location
			Variable/G G_Core_Num, G_Type_Location, G_V1
			String/G G_Hole, G_Core_Number_Location, G_Section_Number_Location, G_Image_Extension
			Core = Num2Str( G_Core_Num ); Hole = G_Hole; Type_location = G_Type_Location; X_Resolution = G_V1
			Core_Number_Location = G_Core_Number_Location;  Section_Number_Location = G_Section_Number_Location
			Image_Extension = G_Image_Extension
			Prompt Core_Number_Location, "Core Number Location (Single Digit or \"11,12\")"
			Prompt Section_Number_Location, "Section Number Location (Single Digit or \"14,15\" when there are > 9 sections)"
			Prompt Type_Location, "Type Location ( Single Digit )"
			Prompt Image_Extension, "Image Extension ( 4 Characters, e.g. \"jpeg\' or \".jpg\" )"
			Prompt Hole, "Hole"
			Prompt Core,  "Core"
			Prompt X_Resolution, "X ( depth ) Resolution (m) "
			Prompt CC_YN, "Include Core Catchers? Y/N", popup, "Y;N"
			DoPrompt "Universal_20Image_Loader", Core_Number_Location, Section_Number_Location, Type_Location, Image_Extension, Hole, Core,  X_Resolution, CC_YN; AbortonValue V_Flag, 0
			Universal_20Image_Loader_F( Core_Number_Location, Section_Number_Location, Type_Location, Image_Extension, Hole,Core, X_Resolution, CC_YN )
			Print "Universal_20Image_Loader_F( \"" +  Core_Number_Location + "\", \"" + Section_Number_Location + "\", " + Num2Str( Type_Location ) +", \"" + Image_Extension + "\", \"" + Hole + "\", \"" + Core + "\", " + Num2Str( X_Resolution ) + ", \"" + CC_YN +"\" )"
	End
	
	***************************************************************
	
	Function Universal_20Image_Loader_F( Core_Number_Location, Section_Number_Location, Type_Location, Image_Extension, Hole,Core, X_Resolution, CC_YN )
		String Core, Hole, CC_YN;
		String Core_Number_Location, Section_Number_Location, Image_Extension
		Variable X_Resolution, Type_location
		Variable i = 0, j = 0, V_Core, V_Section, Section_Top, Section_Bottom, V1, V2,  X_Pnts
		String S1, Section, DF, Type
		SetDataFolder root:
			Variable/G G_Core_Num, G_Type_Location, G_V1
			String/G G_Hole, G_Core_Number_Location, G_Section_Number_Location, G_Image_Extension
			G_Core_Num = Str2Num( Core ); G_Hole = Hole;  G_Type_Location = Type_Location; G_V1 = X_Resolution
			G_Core_Number_Location = Core_Number_Location; G_Section_Number_Location = Section_Number_Location; G_Image_Extension = Image_Extension
			PathInfo Image_Path
			If( !V_Flag )
				DoAlert 0, "You forgot to establish the path to the folder holding the images.\r\r Click O.K. and select the folder.\r\r Remember to change the path for different holes."
				NewPath Image_Path
			EndIf
			If( !Exists( Hole+"_Coring_Matrix" ) )
				Abort "The Coring Matrix for " + Hole + " is missing from the root directory.\r\rReload the matrix and try again."
			EndIf		
			WAVE Matrix = $Hole + "_Coring_Matrix"
			
			Variable  CN1, CN2, SN1, SN2
			If( StrLen ( Core_Number_Location ) > 1 )		// makes the string variable(s) for location into numeric variable(s)
				CN1 = Str2Num( StringFromList( 0, Core_Number_Location ) )
				CN2 = Str2Num( StringFromList( 1, Core_Number_Location, "," ) )
			Else
				CN1 = Str2Num( Core_Number_Location )
			EndIf
	
			If( StrLen ( Section_Number_Location ) > 1 )		// makes the string variable(s) for location into numeric variable(s)
				SN1 = Str2Num( StringFromList( 0, Section_Number_Location ) )
				SN2 = Str2Num( StringFromList( 1, Section_Number_Location, "," ) )
			Else
				SN1 = Str2Num( Section_Number_Location )
			EndIf

			Variable k = 0
			For( k = 0; k < 10; k += 1 )
					S1 = IndexedFile( Image_Path, k, Image_Extension )
					If( StrSearch( S1, Hole, 0, 2 ) < 0 )
						PathInfo Image_Path
						ABORT "I found images that were not for " + Hole + " in folder " + S_Path + ".\r\rDid you forget to change Image_Path from one hole to the next?"
					EndIf
			EndFor

	
		// Selecting the proper section images depends on the "Type" designator being in the correct spot. This allows the discrimination
		// between U1336A-3H-2-A_SHLF760941 and U1336A-31X-1-A_SHLF775711 when seeking core 3 (since "3" is in the same place
		// in both file names.
	
		//	Do		// This loop checks to find an example of the right section files. 
		//		S1 = IndexedFile( Image_Path, i, Image_Extension )
		//		Type = S1[ Type_Location ]
		//		i += 1
		//	While( !( StringMatch( Type, "H" ) || StringMatch( Type, "F" ) || StringMatch( Type, "X" ) || StringMatch( Type, "R" ) ) )
	
			If( Str2Num( Core ) < 10 )		// Creates a new datafolder for the section images and makes it the active folder
				DF = "K_"+Hole+"_0" + Core// + Type
			Else
				DF = "K_"+Hole+"_" + Core// + Type
			EndIf
		NewDataFolder/O/S $DF
			i = 0;		// This loop actually loads the images into the new "K_" datafolder
			Do
				S1 = IndexedFile( Image_Path, i, Image_Extension )		// S1 is the name of an image file as i increments to go through the list
				If( StrLen( IndexedFile( Image_Path, i, Image_Extension ) ) == 0 )		// Checks for the end of the list of files
					Break;
				EndIf
				
				Type = S1[ Type_Location ]
				If( StringMatch( Type, "H" ) || StringMatch( Type, "F" ) || StringMatch( Type, "X" ) || StringMatch( Type, "R" ) )
					If( ( StrSearch( S1, "CC", 0, 2 ) < 0 )  ||  ( StrSearch( S1, "CC", 0, 2 ) && StringMatch( CC_YN, "Y" ) ) ) 
							If( ItemsInList( Core_Number_Location, "," ) == 1 )
								V_Core = Str2Num( S1[ CN1 ] )		// For cores # 1 - 9
							Else
								V_Core = Str2Num( S1[ CN1, CN2 ] )		// For cores # >= 10
							EndIf
	
							If( Stringmatch( S1, "*" + "CC" + "*" ) )		// Assigns CC's as Section 9
	//								V_Section = 9
									V_Section = 19
							Else	
								If( ItemsInList( Section_Number_Location, "," ) == 1 )
									V_Section = Str2Num( S1[ SN1 ] )		
								Else
									V_Section = Str2Num( S1[ SN1, SN2 ] )	
								EndIf			
							EndIf
	
							If( Str2Num( Core ) == V_Core )
								If( V_Core < 10 )
									Section = "K_" + Hole + "_0" + Core + "_" + Num2Str( V_Section )
								Else
									Section = "K_" + Hole + "_" + Core + "_" + Num2Str( V_Section )
								EndIf
								ImageLoad/O /P = Image_Path /T = jpeg IndexedFile (Image_Path, i , Image_Extension );
								S_filename = S_filename[ 0, 30 ]
								ImageRotate/O /A = 270 $S_FileName
								print  Section					
								Section_Top = Matrix[ V_Core ][ V_Section ][ 0 ]
								Section_Bottom = Matrix[ V_Core ][ V_Section ][ 0 ] + Matrix[ V_Core ][ V_Section ][ 1 ]
								X_Pnts = Matrix[ V_Core ][ V_Section ][ 1 ] / X_Resolution		
								ImageInterpolate/DEST = $Section /RESL = { X_Pnts, 101 }  bilinear, $S_FileName
								Redimension/B/U $Section
								SetScale x Section_Top, Section_Bottom, "", $Section
								SetScale/I y 0, 1, "", $Section, $S_FileName
								Killwaves/Z $S_FileName
							EndIf
						EndIf
				EndIf
				i+=1
			While( 1 )
			
			If( !Strlen( WaveList( "*", ";", "" ) ) )
				SetDataFolder root:
				KillDataFolder $DF
				Abort "There were no images found for " + Hole + "-" + Core
			EndIf
		SetDataFolder root:
	EndMacro

*********************************************************************
