#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Menu "Splicing"
	"Shift_Offsets_B_2_A"
		help = { "  Adjusts Offsets so that the data or image of Cursor B will align with Cursor A after shift is propagated through the data." }
	"Undo_Shift"
		help = { "  Resets offset data to previous values before Shift_Offsets_B_2_A was run. Reset offsets must be propagated through the data." }
	"Csr_B_2_Csr_A",/Q
		help = { "  Moves Cursor B to align with Cursor A." }
	"Csr_A_2_Csr_B",/Q
		help = { "  Moves Cursor A to align with Cursor B" }
	"Print_Splice_Ties",/Q
		help = { "  Prints the line in a Splice Tie Table represented by the positions of the B and A Cursors.\r  B is the bottom of one splice section and A is the location of the top of the next." }
	"Add_Offsets"
		help = { "  Updates a Coring Matrix with the latest offset values." }
	"Splice_Images"
		help = { "  Creates a spliced image in root: with the name UXXX_Splice" }
	"Splice_Data"
		help = { "  Creates spliced data waves in the folders of the selected data type." }
	"Calculate_Splice_Lines"
		help = { "  Calculates the position of lines representing to positions of the tops and bottoms of spliced intervals that can be plotted on top of core images using Plot_Splice_Lines" }
	"Plot_Splice_Lines"
		help = { "  Plots the splice lines created by Splice_Lines on a plot of core images." }
	"Splice_Tie_CCSF_ReCalc"
		help = { "  Re-calculates the CCSF depths for the splice tie format splice data" }
	"Splice_Interval_CCSF_ReCalc"
		help = { "  Re-calculates the CCSF depths for the splice interval format splice data" }
	"Splice_Tie_Table"
		help = { "  Creates a splice tie table." }
	"Splice_Interval_Table"
		help = { "  Creates a splice interval table." }
	"Save_Cursor_Positions"
		help = { "  Saves the positions of up to 4 Cursors ( A, B, C and D ) on a graph so that they can be duplicated on another graph." }
	"Cursors_2_Saved_Positions"
		help = { "  Positions cursors at positions recorded by Save_Cursor_Positions." }
	SubMenu "Splice_Format_Conversion"
		"Splice_Tie_Data_2_Intervals"
			help = { "  Converts splice tie format data to splice interval format." }
		"Splice_Interval_Data_2_Ties"
			help = { " Converts splice interval format data to splice tie format." }
	End
End

#include "Calculate_Splice_Lines"
#include "Csr_B_2_Csr_A"
#include "Offset_Data_and_Images"
#include "Plot_Splice_Lines"
#include "Print_Splice_Ties"
#include "Shift_Offsets_B_2_A"
#include "Save_Cursor_Positions"
#include "Splice_CCSF_ReCalc"
#include "Splice_Table_Templates"
#include "Splice_Data_Conversion"
#include "Splice_Interval_Functions"
#include "SpliceDataCheck"
#include "KillSpliceWaves"